Page MenuHomePhabricator

[MemCpyOptimizer] Preserve analyses and replace use of lambdas to get them.
ClosedPublic

Authored by asbirlea on Feb 12 2020, 9:10 AM.

Details

Summary

Analyses are preserved in MemCpyOptimizer.
Get analyses before running the pass and store the pointers, instead of
using lambdas and getting them every time on demand.

Diff Detail

Event Timeline

asbirlea created this revision.Feb 12 2020, 9:10 AM
Herald added a project: Restricted Project. · View Herald TranscriptFeb 12 2020, 9:10 AM
Herald added a subscriber: hiraditya. · View Herald Transcript
lenary resigned from this revision.Feb 27 2020, 9:21 AM
efriedma accepted this revision.Sep 1 2020, 3:56 PM

LGTM

llvm/lib/Transforms/Scalar/MemCpyOptimizer.cpp
280

These changes make sense.

This revision is now accepted and ready to land.Sep 1 2020, 3:56 PM
asbirlea updated this revision to Diff 289333.Sep 1 2020, 5:35 PM

Rebase, update tests.

This revision was landed with ongoing or failed builds.Sep 1 2020, 5:36 PM
This revision was automatically updated to reflect the committed changes.